<?php
/**
* @Cinema - Un componente per Joomla
* @package Component for Joomla
* @subpackage cinemacategory.php
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* @Renew & fork by Vamba & Luscarpa
* Ispirato e basato su
**/
/**
* AkoGallery - A Mambo Gallery Component
* (C)opyright 2003,2004 by Arthur Konze
* Homepage   : www.mamboportal.com
* Version    : 3.0 beta 3
* License    : Copyright, don't distribute
* Translator : Arthur Konze
* Homepage   : www.konze.de
**/

# Per non permettere collegamento diretto
  defined( '_VALID_MOS' ) or die( 'Accesso diretto non permesso.' );

	// controlla compatibilit con Mambo/Joomla!
	if ( $_VERSION->PRODUCT == 'Joomla!' ){
		$nullDate = $database->getNullDate();
	}elseif( $_VERSION->PRODUCT == 'Mambo' ){
		$nullDate = "0000-00-00 00:00:00";
	}

  $database->setQuery("SELECT count(id) FROM #__cinema WHERE published = '1' AND catid = '".$catid."'");
  $count = $database->loadResult();

  $cinemafilm = floor($count / $cin_perpage);
  $cinemacount   = $count % $cin_perpage;
  if ($cinemacount>0) {
   $cinemafilm++;
  }

  if (isset($startpage)) {
   if ($startpage>$cinemafilm) {
     $startpage = $cinemafilm;
   } else if ($startpage<1) {
     $startpage = 1;
   }
  } else {
   $startpage = 1;
  }
  echo "<p>".$CINEMA->CINEMA_NUMBPICSPRE." $count ".$CINEMA->CINEMA_NUMBPICSSUF."<br>".$CINEMA->CINEMA_PAGES." ";

  $cinemapage = $startpage - 1;
  if ($cinemapage>0) {
    echo "<a href=".sefRelToAbs("index.php?option=com_cinema&amp;Itemid=$Itemid&amp;task=viewcategory&amp;catid=$catid&amp;startpage=$cinemapage")."><strong></strong></a> ";
    }

   for ($i=1; $i <= $cinemafilm; $i++) {
     if ($i==$startpage) {
       echo "$i ";
     } else {
       echo "<a href=".sefRelToAbs("index.php?option=com_cinema&amp;Itemid=$Itemid&amp;task=viewcategory&amp;catid=$catid&amp;startpage=$i").">$i</a> ";
     }
   }

  $seitevor = $startpage + 1;
  if ($seitevor<=$cinemafilm) {
    echo "<a href=".sefRelToAbs("index.php?option=com_cinema&amp;Itemid=$Itemid&amp;task=viewcategory&amp;catid=$catid&amp;startpage=$seitevor")."><strong></strong></a> ";
    }

  $start = ( $startpage - 1 ) * $cin_perpage;
  echo "</p>";

  $database->setQuery("SELECT name  FROM #__categories WHERE id = '".$catid."'");
  $catname = $database->loadResult();

	if ( $Itemid ) {
		$menu = new mosMenu( $database );
		$menu->load( $Itemid );
	} else {
		$menu 	= '';
	}

# Sezione metadata
	$mainframe->setPageTitle( $menu->name." ".$catname );
	$mainframe->prependMetaTag('keywords',$catname);


  echo "<table width='100%' border='0' cellspacing='1' cellpadding='4'>";
  echo "<tr><td colspan='3' class='$cin_header' width='100%'>$catname</td></tr>";

  $database->setQuery( "SELECT * FROM #__cinema"
  . "\n WHERE published = '1'"
  . "\n   AND catid = '$catid'"
  . "\n   AND (publish_up = '$nullDate' OR publish_up <= NOW())"
  . "\n   AND (publish_down = '$nullDate' OR publish_down >= NOW())"
  . "\n ORDER BY ordering"
  . "\n LIMIT $start,$cin_perpage"
  );
  $rows = $database->loadObjectList();

  $line=1;
  foreach($rows as $row1) {
    $text=substr ($row1->imgtext, 0, $cin_testolista);
    $linecolor = ($line % 2) + 1;
    echo "<tr class='$cin_line".$linecolor."'><td width='1%' align='center' valign='top'>";
    echo "<a href='".sefRelToAbs("index.php?option=com_cinema&amp;Itemid=$Itemid&amp;task=detail&amp;id=$row1->id")."'><img src='$thumbnailpath$row1->imgthumbname' alt='$row1->imgtitle' width='35' height='50'  style=' border-left : 1px solid #fef; border-top : 1px solid #fef; border-right: 1px solid #eee; border-bottom: 1px solid #ddd; border-right-style: outset; border-bottom-style: outset'></a>";
    echo "<td width='99%'><a href='".sefRelToAbs("index.php?option=com_cinema&amp;Itemid=$Itemid&amp;task=detail&amp;id=$row1->id")."'><strong>$row1->imgtitle</strong></a>";
    if ($cin_showdetail) echo "<span class='small'> [ $row1->anno - $row1->nazione ]</span>";
    echo "<br /><em>$row1->imgtitle2</em><br />";
    echo "$text...<br /><br />";
    echo "</td>";
    $line++;
  }
  echo "</tr></table>";

?>