<?php
/**
* @Cinema - Un componente per Joomla
* @package Component for Joomla
* @subpackage cinemaspecial.php
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* @Renew & fork by Vamba & Luscarpa
* Ispirato e basato su
**/
/**
* AkoGallery - A Mambo Gallery Component
* (C)opyright 2003,2004 by Arthur Konze
* Homepage   : www.mamboportal.com
* Version    : 3.0 beta 3
* License    : Copyright, don't distribute
* Translator : Arthur Konze
* Homepage   : www.konze.de
**/



# Per non permettere collegamento diretto
  defined( '_VALID_MOS' ) or die( 'Accesso diretto non permesso.' );

	// controlla versione del prodotto per compatibilit con Mambo/Joomla!
	if ( $_VERSION->PRODUCT == 'Joomla!' ){
		$nullDate = $database->getNullDate();
	}elseif( $_VERSION->PRODUCT == 'Mambo' ){
		$nullDate = "0000-00-00 00:00:00";
	}

$now = date( 'Y-m-d H:i:s', time()+$mosConfig_offset*60*60 );

# Intestazione
  GalleryHeader();
$params->def( 'date_format', $cin_dateformat );
switch ($sorting) {

# Sezione ricerca
  case 'find':
    $suchstring = trim( strtolower( $sstring ) );
    $query1   = "SELECT * FROM #__cinema WHERE imgtext LIKE '%$suchstring%' OR imgtitle LIKE '%$suchstring%' OR imgtitle2 LIKE '%$suchstring%' OR attore1 LIKE '%$suchstring%' OR attore2 LIKE '%$suchstring%' OR attore3 LIKE '%$suchstring%' OR attore4 LIKE '%$suchstring%' OR attore5 LIKE '%$suchstring%' OR imgauthor LIKE '%$suchstring%' OR anno LIKE '%$suchstring%' AND published = 1 ORDER BY id DESC";
    $tl_title = $CINEMA->CINEMA_SEARCHRESULT." $sstring";
# Database Query
     $database->setQuery($query1);
     $rows = $database->loadObjectList();

     echo "<table width='100%' border='0' cellspacing='3' cellpadding='4'>";
     echo "<tr><td colspan='2' class='$cin_header' width='100%'>$tl_title</td></tr>";


   $line=1;
   foreach($rows as $row1) {
     $text=substr ($row1->imgtext, 0, $cin_testolista);
     $linecolor = ($line % 2) + 1;
       echo "<tr class='$cin_line".$linecolor."'><td align='center' valign='middle'>";
       echo "<a href='".sefRelToAbs("index.php?option=com_cinema&Itemid=$Itemid&amp;task=detail&amp;id=$row1->id")."'><img src='$thumbnailpath$row1->imgthumbname' width='35' height='50'  style=' border-left : 1px solid #fef; border-top : 1px solid #fef; border-right: 1px solid #eee; border-bottom: 1px solid #ddd; border-right-style: outset; border-bottom-style: outset' alt='$row1->imgtitle'></a>";
       echo "</td><td width='100%' valign='top'><a href='".sefRelToAbs("index.php?option=com_cinema&Itemid=$Itemid&amp;task=detail&amp;id=$row1->id")."'><strong>$row1->imgtitle</strong></a>  <span class='small'>[ $row1->anno - $row1->nazione ]</span><br />";
       echo "<span class='small'><strong>".$CINEMA->CINEMA_ORIGINALE.":</strong></span> $row1->imgtitle2 - <span class='small'>[ ".$CINEMA->CINEMA_IMGHITS."$row1->imgcounter ]</span><br />";
       echo "$text...<br />";

       echo "</td>";
       $line++;
     }
    echo "</tr></table>";

    break;


# Sezione tutti i film in ordine alfabetico

  case 'alfabeto':
    $database->setQuery("SELECT count(id) FROM #__cinema WHERE published = '1'");
    $count = $database->loadResult();

    $cinemafilm = floor($count / $cin_perpage);
    $cinemacount   = $count % $cin_perpage;
    if ($cinemacount>0) {
     $cinemafilm++;
    }

    if (isset($startpage)) {
     if ($startpage>$cinemafilm) {
       $startpage = $cinemafilm;
     } else if ($startpage<1) {
       $startpage = 1;
     }
    } else {
     $startpage = 1;
    }
    echo "<p>".$CINEMA->CINEMA_NUMBPICSPRE." $count ".$CINEMA->CINEMA_NUMBPICSSUF3."<br>".$CINEMA->CINEMA_PAGES." ";

    $cinemapage = $startpage - 1;
    if ($cinemapage>0) {
      echo "<a href=".sefRelToAbs("index.php?option=com_cinema&amp;Itemid=$Itemid&amp;task=special&amp;sorting=alfabeto&amp;startpage=$cinemapage")."><strong></strong></a> ";
      }

     for ($i=1; $i <= $cinemafilm; $i++) {
       if ($i==$startpage) {
         echo "$i ";
       } else {
         echo "<a href=".sefRelToAbs("index.php?option=com_cinema&amp;Itemid=$Itemid&amp;task=special&amp;sorting=alfabeto&amp;startpage=$i").">$i</a> ";
       }
     }

    $seitevor = $startpage + 1;
    if ($seitevor<=$cinemafilm) {
      echo "<a href=".sefRelToAbs("index.php?option=com_cinema&amp;Itemid=$Itemid&amp;task=special&amp;sorting=alfabeto&amp;startpage=$seitevor")."><strong></strong></a> ";
      }

    $start = ( $startpage - 1 ) * $cin_perpage;
  echo "</p>";


    $query1 = "SELECT a.* FROM #__cinema AS a"
            . "\nLEFT JOIN #__categories AS cc ON a.catid = cc.id"
            . "\nWHERE a.published='1' AND cc.published='1' AND cc.access <= '$my->gid'"
            . "\nORDER BY a.imgtitle ASC"
  			. "\n LIMIT $start,$cin_perpage";
    $tl_title = $CINEMA->CINEMA_CINEMAALFA;
    $database->setQuery($query1);
    $rows = $database->loadObjectList();
    echo "<table width='100%' border='0' cellspacing='3' cellpadding='4'>";
    echo "<tr><td colspan='2' class='$cin_header' width='100%'>$tl_title</td></tr>";

     $line=1;
    foreach($rows as $row1) {
    $text=substr ($row1->imgtext, 0, $cin_testolista);
      $linecolor = ($line % 2) + 1;
    echo "<tr class='$cin_line".$linecolor."'><td align='center' valign='middle'>";
    echo "<a href='".sefRelToAbs("index.php?option=com_cinema&amp;Itemid=$Itemid&amp;task=detail&amp;id=$row1->id")."'><img src='$thumbnailpath$row1->imgthumbname' alt='$row1->imgtitle' width='35' height='50' style=' border-left : 1px solid #fef; border-top : 1px solid #fef; border-right: 1px solid #eee; border-bottom: 1px solid #ddd; border-right-style: outset; border-bottom-style: outset'></a>";
    echo "</td><td width='100%' valign='top'><a href='".sefRelToAbs("index.php?option=com_cinema&amp;Itemid=$Itemid&amp;task=detail&amp;id=$row1->id")."'><strong>$row1->imgtitle</strong></a>";
    if ($cin_showdetail) echo "<span class='small'> [ $row1->anno - $row1->nazione ]</span>";
    echo "<br /><span class='small'><strong>".$CINEMA->CINEMA_ORIGINALE.":</strong></span>  $row1->imgtitle2 - <span class='small'>[ ".$CINEMA->CINEMA_IMGHITS."$row1->imgcounter ]</span><br />";
    echo "$text...<br /><br />";
    echo "</td>";
    $line++;
  }

     echo "</tr></table>";
    break;


# Sezione cinema in sala
  case 'cinemasale':

    $database->setQuery("SELECT count(id) FROM #__cinema WHERE published = '1' AND sale = '1'");
    $count = $database->loadResult();

    $cinemafilm = floor($count / $cin_perpage);
    $cinemacount   = $count % $cin_perpage;
    if ($cinemacount>0) {
     $cinemafilm++;
    }

    if (isset($startpage)) {
     if ($startpage>$cinemafilm) {
       $startpage = $cinemafilm;
     } else if ($startpage<1) {
       $startpage = 1;
     }
    } else {
     $startpage = 1;
    }
    echo "<p>".$CINEMA->CINEMA_NUMBPICSSUF2."<br>".$CINEMA->CINEMA_PAGES." ";

    $cinemapage = $startpage - 1;
    if ($cinemapage>0) {
      echo "<a href=".sefRelToAbs("index.php?option=com_cinema&amp;Itemid=$Itemid&amp;task=special&amp;sorting=cinemasale&amp;startpage=$cinemapage")."><strong></strong></a> ";
      }

     for ($i=1; $i <= $cinemafilm; $i++) {
       if ($i==$startpage) {
         echo "$i ";
       } else {
         echo "<a href=".sefRelToAbs("index.php?option=com_cinema&amp;Itemid=$Itemid&amp;task=special&amp;sorting=cinemasale&amp;startpage=$i").">$i</a> ";
       }
     }

    $seitevor = $startpage + 1;
    if ($seitevor<=$cinemafilm) {
      echo "<a href=".sefRelToAbs("index.php?option=com_cinema&amp;Itemid=$Itemid&amp;task=special&amp;sorting=cinemasale&amp;startpage=$seitevor")."><strong></strong></a> ";
      }

    $start = ( $startpage - 1 ) * $cin_perpage;
  echo "</p>";

$params->def( 'date_format', '%a %d %B %Y' );
    $query1 = "SELECT a.* FROM #__cinema AS a"
            . "\nLEFT JOIN #__categories AS cc ON a.catid = cc.id"
            . "\nWHERE a.published='1' AND a.sale='1' AND cc.published='1' AND cc.access <= '$my->gid'"
            . "\nORDER BY a.imgtitle ASC"
  			. "\n LIMIT $start,$cin_perpage";
    $tl_title = $CINEMA->CINEMA_CINEMAINSALA;
    $database->setQuery($query1);
    $rows = $database->loadObjectList();
    echo "<table width='100%' border='0' cellspacing='3' cellpadding='4'>";
    echo "<tr><td colspan='2' class='$cin_header' width='100%'>$tl_title</td></tr>";

     $line=1;
    foreach($rows as $row1) {
    $row1->publish_up = mosFormatDate ($row1->publish_up, $params->get( 'date_format' ));
    $text=substr ($row1->imgtext, 0, $cin_testolista);
      $linecolor = ($line % 2) + 1;
    echo "<tr class='$cin_line".$linecolor."'><td align='center' valign='middle'>";
    echo "<a href='".sefRelToAbs("index.php?option=com_cinema&amp;Itemid=$Itemid&amp;task=detail&amp;id=$row1->id")."'><img src='$thumbnailpath$row1->imgthumbname' alt='$row1->imgtitle' width='35' height='50'  style=' border-left : 1px solid #fef; border-top : 1px solid #fef; border-right: 1px solid #eee; border-bottom: 1px solid #ddd; border-right-style: outset; border-bottom-style: outset'></a>";
    echo "</td><td width='100%' valign='top'><a href='".sefRelToAbs("index.php?option=com_cinema&amp;Itemid=$Itemid&amp;task=detail&amp;id=$row1->id")."'><strong>$row1->imgtitle</strong></a>";
    if ($cin_showdetail) echo "<span class='small'> [ $row1->anno - $row1->nazione ]</span>";
    echo "<br /><span class='small'>[ <strong>".$CINEMA->CINEMA_DATAARRIVO."</strong>  $row1->publish_up ]</span><br />";
    echo "$text...<br /><br />";
    echo "</td>";
    $line++;
  }

     echo "</tr></table>";
    break;

# Sezione ultimi film inseriti a noleggio
  case 'lastadd':

    $query1 = "SELECT a.* FROM #__cinema AS a"
            . "\nLEFT JOIN #__categories AS cc ON a.catid = cc.id"
            . "\nWHERE a.published='1' AND a.sale='0' AND cc.published='1' AND cc.access <= '$my->gid'"
			. "\n AND ( a.publish_up = '$nullDate' OR publish_up <= '". $now ."' )"
			. "\n AND ( a.publish_down = '$nullDate' OR publish_down >= '". $now ."' )"
            . "\nORDER BY a.publish_up DESC"
            . "\nLIMIT $cin_toplist";
    $tl_title = $CINEMA->CINEMA_TOP." $cin_toplist ".$CINEMA->CINEMA_TOPLASTADDED;

  # Database Query
    $database->setQuery($query1);
    $rows = $database->loadObjectList();

    echo "<table width='100%' border='0' cellspacing='3' cellpadding='4'>";
    echo "<tr><td colspan='2' class='$cin_header' width='100%'>$tl_title</td></tr>";


  $line=1;
  foreach($rows as $row1) {
    $text=substr ($row1->imgtext, 0, $cin_testolista);
    $linecolor = ($line % 2) + 1;
      echo "<tr class='$cin_line".$linecolor."'><td align='center' valign='middle'>";
      echo "<a href='".sefRelToAbs("index.php?option=com_cinema&Itemid=$Itemid&amp;task=detail&amp;id=$row1->id")."'><img src='$thumbnailpath$row1->imgthumbname' width='35' height='50'  style=' border-left : 1px solid #fef; border-top : 1px solid #fef; border-right: 1px solid #eee; border-bottom: 1px solid #ddd; border-right-style: outset; border-bottom-style: outset' alt='$row1->imgtitle'></a>";
      echo "</td><td width='100%' valign='top'><a href='".sefRelToAbs("index.php?option=com_cinema&Itemid=$Itemid&amp;task=detail&amp;id=$row1->id")."'><strong>$row1->imgtitle</strong></a>  <span class='small'>[ $row1->anno - $row1->nazione ]</span><br />";
      echo "<span class='small'><strong>".$CINEMA->CINEMA_ORIGINALE.":</strong></span> $row1->imgtitle2 <br />";
      echo "$text...<br />";

      echo "</td>";
      $line++;
    }
    echo "</tr></table>";


    break;

 # Sezione ultimi film pi votati
  case 'rating':
    $query1 = "SELECT a.* FROM #__cinema AS a"
            . "\nLEFT JOIN #__categories AS cc ON a.catid = cc.id"
            . "\nWHERE a.published='1' AND cc.published='1' AND cc.access <= '$my->gid'"
            . "\nORDER BY ROUND(a.imgvotesum/a.imgvotes, 2) DESC"
            . "\nLIMIT $cin_toplist";
    $tl_title = $CINEMA->CINEMA_TOP." $cin_toplist ".$CINEMA->CINEMA_TOPBESTRATED;

# Database Query
    $database->setQuery($query1);
    $rows = $database->loadObjectList();

    echo "<table width='100%' border='0' cellspacing='3' cellpadding='4'>";
    echo "<tr><td colspan='2' class='$cin_header' width='100%'>$tl_title</td></tr>";


  $line=1;
  foreach($rows as $row1) {
    $text=substr ($row1->imgtext, 0, $cin_testolista);
    $linecolor = ($line % 2) + 1;
      echo "<tr class='$cin_line".$linecolor."'><td align='center' valign='middle'>";
      echo "<a href='".sefRelToAbs("index.php?option=com_cinema&Itemid=$Itemid&amp;task=detail&amp;id=$row1->id")."'><img src='$thumbnailpath$row1->imgthumbname' width='35' height='50'  style=' border-left : 1px solid #fef; border-top : 1px solid #fef; border-right: 1px solid #eee; border-bottom: 1px solid #ddd; border-right-style: outset; border-bottom-style: outset' alt='$row1->imgtitle'></a>";
      echo "</td><td width='100%' valign='top'><a href='".sefRelToAbs("index.php?option=com_cinema&Itemid=$Itemid&amp;task=detail&amp;id=$row1->id")."'><strong>$row1->imgtitle</strong></a>  <span class='small'>[ $row1->anno - $row1->nazione ]</span><br />";
      echo "<span class='small'><strong>".$CINEMA->CINEMA_ORIGINALE.":</strong></span> $row1->imgtitle2<br />";
      echo "$text...<br />";

      echo "</td>";
      $line++;
    }
    echo "</tr></table>";
    break;


  # Sezione predefinita
  default:
    $query1 = "SELECT a.* FROM #__cinema AS a"
            . "\nLEFT JOIN #__categories AS cc ON a.catid = cc.id"
            . "\nWHERE a.published='1' AND cc.published='1' AND cc.access <= '$my->gid'"
            . "\nORDER BY a.imgcounter DESC"
            . "\nLIMIT $cin_toplist";
    $tl_title = $CINEMA->CINEMA_TOP." $cin_toplist ".$CINEMA->CINEMA_TOPMOSTVIEWED;

 # Database Query
     $database->setQuery($query1);
     $rows = $database->loadObjectList();

     echo "<table width='100%' border='0' cellspacing='3' cellpadding='4'>";
     echo "<tr><td colspan='2' class='$cin_header' width='100%'>$tl_title</td></tr>";


   $line=1;
   foreach($rows as $row1) {
     $text=substr ($row1->imgtext, 0, $cin_testolista);
     $linecolor = ($line % 2) + 1;
       echo "<tr class='$cin_line".$linecolor."'><td align='center' valign='middle'>";
       echo "<a href='".sefRelToAbs("index.php?option=com_cinema&Itemid=$Itemid&amp;task=detail&amp;id=$row1->id")."'><img src='$thumbnailpath$row1->imgthumbname' width='35' height='50'  style=' border-left : 1px solid #fef; border-top : 1px solid #fef; border-right: 1px solid #eee; border-bottom: 1px solid #ddd; border-right-style: outset; border-bottom-style: outset' alt='$row1->imgtitle'></a>";
       echo "</td><td width='100%' valign='top'><a href='".sefRelToAbs("index.php?option=com_cinema&Itemid=$Itemid&amp;task=detail&amp;id=$row1->id")."'><strong>$row1->imgtitle</strong></a>  <span class='small'>[ $row1->anno - $row1->nazione ]</span><br />";
       echo "<span class='small'><strong>".$CINEMA->CINEMA_ORIGINALE.":</strong></span> $row1->imgtitle2 - <span class='small'>[ ".$CINEMA->CINEMA_IMGHITS."$row1->imgcounter ]</span><br />";
       echo "$text...<br />";

       echo "</td>";
       $line++;
     }
    echo "</tr></table>";

    break;
}


?>